/*-----------------------------------------------------------------------------
FILENAME: global.h
AUTHOR: S. Seegel, post@seegel-systeme.de
DATE: 22.7.2008
LICENSE: GPL v3
DESCRIPTION: hardware definitions
-----------------------------------------------------------------------------*/

#ifndef global_h
#define global_h

#include <avr/io.h>

#define RELAISPORT	PORTC
#define RELAISDDR		DDRC
#define RELAISPINX	PC0
#define RELAISON RELAISPORT |= 1<<RELAISPINX
#define RELAISOFF RELAISPORT &= ~(1<<RELAISPINX);

#define RSDIRPORT		PORTC
#define RSDIRDDR		DDRC
#define RSDIRPINX		PC3

#define LEDAPORT		PORTC
#define LEDADDR		DDRC
#define LEDAPINX		PC2

#define LEDBPORT		PORTC
#define LEDBDDR		DDRC
#define LEDBPINX		PC1

#define LEDOFF		LEDAPORT &= ~(1<<LEDAPINX); LEDBPORT &= ~(1<<LEDBPINX);
#define LEDGREEN	LEDAPORT |= 1<<LEDAPINX; LEDBPORT &= ~(1<<LEDBPINX);
#define LEDRED		LEDAPORT &= ~(1<<LEDAPINX); LEDBPORT |= 1<<LEDBPINX;


#endif


