/*-----------------------------------------------------------------------------
FILENAME: timer.h
AUTHOR: S. Seegel, post@seegel-systeme.de
DATE: 22.7.2008
LICENSE: GPL v3
DESCRIPTION: Declaration of Timer class
-----------------------------------------------------------------------------*/

#ifndef timer_h
#define timer_h

#include <avr/io.h>

#define MAX_NUM_TIMERS 10

class Timer
{
	private:
		uint16_t cnt;
		bool flag;

	public:
		Timer(void);
		
		void OnIsr(void);
		bool IsFlagged(void);
		void SetTime(uint16_t time);
};


#endif
