/*-----------------------------------------------------------------------------
FILENAME: global.cpp
AUTHOR: S. Seegel, post@seegel-systeme.de
DATE: 22.7.2008
LICENSE: GPL v3
DESCRIPTION: 
-----------------------------------------------------------------------------*/

extern "C"
{
	#include <stdlib.h>
	
  void __cxa_pure_virtual() //needed for abstract classes
  {
  }
}

void *operator new(size_t size)
{
  return malloc(size);
}

void *operator new[](size_t size)
{
  return malloc(size);
}

void operator delete(void* ptr)
{
  free(ptr);
}

void operator delete[](void* ptr)
{
  free(ptr);
}

