/*-----------------------------------------------------------------------------
FILENAME: task.h
AUTHOR: S. Seegel, post@seegel-systeme.de
DATE: 22.7.2008
LICENSE: GPL v3
DESCRIPTION: Declaration of Task class
When a class is derived from Task, the execute method will be called
automatically. 
-----------------------------------------------------------------------------*/

#ifndef task_h
#define task_h

#include <avr/io.h>

#define MAX_NUM_TASKS 10

class Task
{
	private:
	protected:
		
	public:
	
		Task(void);
		virtual void Execute(void) = 0;
	
};

extern void task_execute(void);

#endif
